AAFReaderListener (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.aaf

## Interface AAFReaderListener

- All Superinterfaces:
    org.apache.poi.poifs.eventfilesystem.POIFSReaderListener

      public interface AAFReaderListener
      extends org.apache.poi.poifs.eventfilesystem.POIFSReaderListener

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Preface` | `getPreface()` Return the preface read while reading an AAF file, also known as the header.
    `ExtensionScheme` | `getThisExtensionScheme()` Returns the extension scheme created from unknown properties, types and classes read from the AAF file.
    `void` | `processDirectoryEnd()` Deal with any tidying up at the end of processing a directory read from an AAF file.
    `void` | `processPOIFSReaderEvent(AAFReaderEvent event)` Process an event generated while reading an AAF file.
    `void` | `resolveEntries()` Resolve any references left unresolved after processing an AAF file.
    `void` | `setFilePath(File filePath)`

    - ### Methods inherited from interface org.apache.poi.poifs.eventfilesystem.POIFSReaderListener

      `processPOIFSReaderEvent`

- - ### Method Detail

    - #### processPOIFSReaderEvent

          void processPOIFSReaderEvent(AAFReaderEvent event)

      Process an event generated while reading an AAF file.

      Parameters:
        `event` - Event generated while reading an AAF file.

    - #### processDirectoryEnd

          void processDirectoryEnd()

      Deal with any tidying up at the end of processing a directory read from an AAF file.

    - #### resolveEntries

          void resolveEntries()

      Resolve any references left unresolved after processing an AAF file.

    - #### getPreface

          Preface getPreface()

      Return the preface read while reading an AAF file, also known as the header. If no preface was found, this method returns `null`.

      Returns:
        Preface read from a recently processed AAF file.

    - #### getThisExtensionScheme

          ExtensionScheme getThisExtensionScheme()

      Returns the extension scheme created from unknown properties, types and classes read from the AAF file. These extensions are used to create application plugin objects from any properties that use these extensions. XML serialization uses the prefix this, which is why the extension scheme is known as this extension scheme.

      Returns:
        Extension scheme created from unknown meta definitions found in the file.
      See Also:
        `Warehouse.register(ExtensionScheme)`

    - #### setFilePath

          void setFilePath(File filePath)
                    throws NullPointerException,
                           IOException

      Throws:
        `NullPointerException`
        `IOException`

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.